module.exports = {
  important: true,
  darkMode: 'class',
  purge: {
    content: ['./src/**/*.vue'],
    options: {
      safelist: [/^delay-/, /^z-/, /^hidden/, /^inline/, /^xs:inline/, /^text-/, 'italic'],
    },
  },
  theme: {
    screens: {
      xs: { max: '600px' },
      sm: { min: '601px', max: '768px' },
      md: { min: '769px', max: '1024px' },
      lg: { min: '1025px', max: '1440px' },
      xl: { min: '1441px' },
    },
    borderRadius: {
      default: '0.25rem',
      none: '0',
      3: '3px',
      4: '4px',
      5: '5px',
      8: '8px',
      10: '10px',
      12: '12px',
      15: '15px',
      16: '16px',
      20: '20px',
      24: '24px',
      32: '32px',
      25: '25px',
      30: '30px',
      45: '45px',
      48: '48px',
      60: '60px',
      64: '64px',
      96: '96px',
      100: '100px',
      full: '50%',
    },
    fontSize: {
      xs: '.75rem',
      sm: '.875rem',
      base: '1rem',
      lg: '1.125rem',
      xl: '1.25rem',
      '2xl': '1.5rem',
      '3xl': '2rem',
      '4xl': '2.5rem',
      '4xxl': '3rem',
      '5xl': '4rem',
      '6xl': '6.25rem',
      '7xl': '5rem',
      '8xl': '6rem',
    },
    extend: {
      spacing: {
        unset: 'unset',
      },

      opacity: {
        min: '0.001',
        40: '0.4',
        60: '0.6',
        70: '0.7',
        80: '0.8',
        85: '0.85',
      },
      lineHeight: {
        12: '3rem',
        14: '3.5rem',
        16: '4rem',
        15: '3.75rem',
        18: '4.5rem',
        19: '4.75rem',
        20: '5rem',
        29: '116px',
      },
      colors: {
        blue: '#0066FF',
        'blue-hover': '#1A75FF',
        'blue-active': '#0062F5',
        'blue-code': '#82AAFF',
        'red-code': '#FF5874',
        'yellow-code': '#FFCB6B',
        'green-code': '#C3E88D',
        'purple-code': '#C792EA',
        gray: '#FAFAFA',
        'gray-hover': '#F4F5F5',
        'gray-active': '#EFF0F0',
        'gray-2': '#808489',
        'gray-3': '#A0A3A7',
        'gray-4': '#EEEFF1',
        'gray-5': '#C5C7C9',
        'gray-6': '#B6BABF',
        'black-1': '#000814',
        'black-2': '#1F2631',
        light: '#797C80',
        'light-2': '#EBEFF5',
        'light-3': '#F5F7FA',
        mobile: '#F5F7FA',
        'mobile-hover': '#EBEFF5',

        bglprim: '#FFFFFF',
        bglsec: '#F3F7FC',
        bgltert: '#F8FAFD',

        bgdprim: '#0C1521',
        bgdsec: '#111E2F',
        bgdtert: '#132235',

        txtlprim: '#000E23',
        txtlsec: '#435A7B',
        txtltert: '#8D9DB5',
        txtlact: '#0066FF',
        txtlcbg: '#FFFFFF',

        txtdprim: '#FFFFFF',
        txtdsec: '#7587A3',
        txtdtert: '#405069',
        txtdact: '#0066FF',
        txtdcbg: '#FFFFFF',

        btnlprim: '#0066FF',
        btnlprimhov: '#0066FF',
        btnlprimact: '#0066FF',
        btnlprimdis: '#E8EEF6',

        btndprim: '#0066FF',
        btndprimhov: '#0066FF',
        btndprimact: '#0066FF',
        btndprimdis: '#17283E',

        btnlsec: '#E8EEF6',
        btnlsechov: '#E8EEF6',
        btnlsecact: '#E8EEF6',
        btnlsecdis: '#E8EEF6',

        btndsec: '#17283E',
        btndsechov: '#17283E',
        btndsecact: '#17283E',
        btndsecdis: '#17283E',

        btnlout: 'transparent',
        btnlouthov: '#E8EEF6',
        btnloutact: '#E8EEF6',
        btnloutdis: '#E8EEF6',

        btndout: 'transparent',
        btndouthov: '#17283E',
        btndoutact: '#17283E',
        btndoutdis: '#17283E',

        btnltsp: 'transparent',
        btnltsphov: '#E8EEF6',
        btnltspact: '#E8EEF6',
        btnltspdis: '#E8EEF6',

        btndtsp: 'transparent',
        btndtsphov: '#17283E',
        btndtspact: '#17283E',
        btndtspdis: '#17283E',

        brdldef: '#D7E0EB',
        brdlfoc: 'rgba(0, 102, 255, 0.16)',
        brdlact: '#0066FF',
        brdlcbg: 'rgba(255, 255, 255, 0.16)',

        brdddef: '#213651',
        brddfoc: 'rgba(0, 102, 255, 0.16)',
        brddact: '#0066FF',
        brddcbg: 'rgba(255, 255, 255, 0.16)',
      },

      boxShadow: {
        focus: '0 0 0 2px #0066FF',
        error: '0 0 0 1px #FF0000',

        primlhov: '0 0 0 2px rgba(255, 255, 255, 0.16) inset',
        primlact: '0 0 0 4px rgba(0, 102, 255, 0.16)',

        seclhov: '0 0 0 2px #D7E0EB inset',
        secdhov: '0 0 0 2px #213651 inset',
        seclact: '0 0 0 4px rgba(0, 102, 255, 0.16)',
        secdact: '0 0 0 4px rgba(0, 102, 255, 0.16)',

        outlhov: '0 0 0 2px #D7E0EB inset',
        outdhov: '0 0 0 2px #213651 inset',
        outlact: '0 0 0 4px rgba(0, 102, 255, 0.16)',
        outdact: '0 0 0 4px rgba(0, 102, 255, 0.16)',

        tsplhov: '0 0 0 2px #D7E0EB inset',
        tspdhov: '0 0 0 2px #213651 inset',
        tsplact: '0 0 0 4px rgba(0, 102, 255, 0.16)',
        tspdact: '0 0 0 4px rgba(0, 102, 255, 0.16)',

        inplhov: '0 0 0 2px #E4EBF5 inset',
        inplfoc: '0 0 0 4px rgba(0, 102, 255, 0.16)',

        inpdhov: '0 0 0 2px #213651 inset',
        inpdfoc: '0 0 0 4px rgba(0, 102, 255, 0.16)',
      },

      zIndex: {
        1: 1,
        2: 2,
        3: 3,
        4: 4,
        5: 5,
        6: 6,
        7: 7,
        8: 8,
        9: 9,
      },

      transitionDuration: {
        0: '0ms',
      },

      transitionDelay: {
        0: '0ms',
      },
    },
  },
  variants: {
    backgroundColor: ['hover', 'active', 'focus-within', 'responsive'],
    textColor: ['hover', 'active', 'responsive'],
    borderColor: ['hover', 'active', 'focus-within', 'responsive'],
    boxShadow: ['hover', 'active', 'focus-within', 'responsive'],
  },
};
